aboutsummaryrefslogtreecommitdiffstats
path: root/community/tg
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2015-11-18 15:41:53 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2015-11-18 15:41:57 +0000
commit4796dfe17d33cb32558ccff1c2eac5f36d5db667 (patch)
treebd0a33b6b1d9e8119dc3a9291eb02fce558dc297 /community/tg
parent747efebf39042afef0f604dc0369cc98fc760042 (diff)
downloadaports-4796dfe17d33cb32558ccff1c2eac5f36d5db667.tar.gz
aports-4796dfe17d33cb32558ccff1c2eac5f36d5db667.tar.bz2
aports-4796dfe17d33cb32558ccff1c2eac5f36d5db667.tar.xz
community/tg: use snapshot for tl-parser lib
Diffstat (limited to 'community/tg')
-rw-r--r--community/tg/APKBUILD16
1 files changed, 9 insertions, 7 deletions
diff --git a/community/tg/APKBUILD b/community/tg/APKBUILD
index 248ce8a558..b02ce213d0 100644
--- a/community/tg/APKBUILD
+++ b/community/tg/APKBUILD
@@ -2,9 +2,9 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=tg
pkgver=1.3.1
-pkgrel=0
+pkgrel=1
tglver=2.0.1
-tlparserver=master
+tlparserver=0_git20151118
pkgdesc="Command line Telegram client"
url="https://github.com/vysheng/tg"
arch="all"
@@ -16,12 +16,14 @@ subpackages=""
provides="telegram-cli"
source="$pkgname-$pkgver.tar.gz::https://github.com/vysheng/tg/archive/$pkgver.tar.gz
tgl-$tglver.tar.gz::https://github.com/vysheng/tgl/archive/$tglver.tar.gz
- tl-parser.zip::https://github.com/vysheng/tl-parser/archive/$tlparserver.zip
+ http://dev.alpinelinux.org/archive/tl-parser/tl-parser-${tlparserver}.tar.gz
makefile-tl-parser-nocrc32.patch
musl-include-fix.patch
makefile-remove-werror.patch
"
+giturl="https://github.com/vysheng/tl-parser.git"
+disturl="http://dev.alpinelinux.org:/archive/tl-parser"
pkgusers="telegram"
pkggroups="telegram"
@@ -29,7 +31,7 @@ _builddir="$srcdir/tg-$pkgver"
prepare() {
cd "$_builddir"
- mv "$srcdir"/tl-parser-$tlparserver/* "$srcdir/tgl-$tglver/tl-parser" || return 1
+ mv "$srcdir"/tg-$tlparserver/* "$srcdir/tgl-$tglver/tl-parser" || return 1
mv "$srcdir"/tgl-$tglver/* "$srcdir/tg-$pkgver/tgl" || return 1
local i
@@ -65,19 +67,19 @@ package() {
md5sums="42ce2a35dd124102885c81d70528ee0b tg-1.3.1.tar.gz
50c87ee147041ed51685965ab0affeb0 tgl-2.0.1.tar.gz
-0277d192fd8261f1c286fdb41e052ef5 tl-parser.zip
+c0452adb8ae3f1a84484515eb806710a tl-parser-0_git20151118.tar.gz
a2408b394eac8b62e0720bce4eb43135 makefile-tl-parser-nocrc32.patch
d9c455bc5c5fad592484154b2029a326 musl-include-fix.patch
8139da32fa804ccb067f28e00daee6ca makefile-remove-werror.patch"
sha256sums="b70b1d8b97b44086b64e467f81c6aceb8263092c26a8cf1a7d717eb1b5360415 tg-1.3.1.tar.gz
549bbfc46715bae31b50a54cc21eefd61109cd28dcdddbe4e53726aec3d924f1 tgl-2.0.1.tar.gz
-25dbd43c6f8e3ad5380cfbd90e12240ab0e116b620769a3845694451bafbd4f7 tl-parser.zip
+e4ab6130b542c199b23cf6e082c6fa84fee99f32efadba0ca16e6f7e76d0461d tl-parser-0_git20151118.tar.gz
8aa3dea75834261a64604d0937ecd40afa9ddc6f69a2f07a0311123abbf34534 makefile-tl-parser-nocrc32.patch
8bcb0b1ca402f7b456022ac1a94e78f3bbc3fd7678a23c09d18eacbdf7338557 musl-include-fix.patch
0023266966b1d4de099ec1d91b06dcb9aeb578ed6db894dca06bb0880af78e5e makefile-remove-werror.patch"
sha512sums="ac8341e8f951922fa78a1db74d9b1a87b03c3339307bd9c46da71656d8d6e55bf0b546abba1638ae01843341a4d2134b6ab244e15547e8806d74b21ac1306114 tg-1.3.1.tar.gz
5d16a0e9c6e63ce91238501520e7699164298d9e6e275d8b90da675cca6d0b09944888d95320482e8e232d1bd540dbe80cfe58ac7d70f3157a4372c7fd550366 tgl-2.0.1.tar.gz
-396b8bf55b517c9c051a83f8812c4c245f30de506ab1381f36a6c353f229681297d9ad1983f89fa15f1f92e4f5413d78d45b12602c8425447c6ef1c9cc43d060 tl-parser.zip
+a7f16bd2cdedf62a1dbd180fcf957850d3b1c1c08b99f4f389ef5a83e228eb773e5da84e3127455880f4ebb526787bdae097200b337ae6df74b50bebec7c92fe tl-parser-0_git20151118.tar.gz
b61e5907c6cf035ce067cfbc19995a04afa1f04cef00be52a02943e850d4a2754dba67732fa6ca958f2e48a741b2048fb38652c17b73e46359c550257e563f42 makefile-tl-parser-nocrc32.patch
4e26e7421db48b7074197e4cea1c6a6fce33a2b259f0da0e378f9a83f115e961016586b63d960d491cb5c4866fffbf454a5e0eda47ad16b3b77d117c8508f1f2 musl-include-fix.patch
1f8fab90948079abc94169751851347a6753dc13cf19973ba05a6f533ac173ba6ce70863988f2b167c27a347f4aeaa710c70cc960c0ba4090c43461386f8b217 makefile-remove-werror.patch"